<?php
/**
 * The template for displaying the footer
 *
 * @package Felynx_Forest
 * @since Felynx Forest 1.0.0
 */

?>
		<footer id="footer">
			<div class="layer"></div>
			<div class="container">
				<div class="abouts">
					<?php if ( get_the_author_meta( 'description' ) != '' ) : ?>
						<section>
							<h2><?php _e( 'About', 'felynxforest' ); ?></h2>
							<p><?php the_author_meta( 'description' ); ?></p>
						</section>
					<?php endif ?>
					<?php if ( ! function_exists( 'dynamic_sidebar' ) || ! dynamic_sidebar( 'sidebar-footer' ) ) {}; ?>
				</div><aside class="author">
					<section>
						<h2><?php echo get_the_author(); ?></h2>
						<ul>
							<li class="author-avatar">
								<span><?php echo get_avatar( get_the_author_meta( 'ID' ), 212 ); ?></span>
							</li>
						</ul>
					</section>
					<?php if ( ! function_exists( 'dynamic_sidebar' ) || ! dynamic_sidebar( 'sidebar-author' ) ) {}; ?>
				</aside>
			</div>

			<nav class="ground">
				<div class="container">
					<ul class="social">
						<?php if ( get_the_author_meta( 'facebook' ) ) : ?><li>
							<a rel="nofollow" target="_blank" href="<?php echo esc_url( the_author_meta( 'facebook' ) ); ?>"><i class="fa fa-facebook"></i></a>
						</li><?php endif; if ( get_the_author_meta( 'twitter' ) ) : ?><li>
							<a rel="nofollow" target="_blank" href="<?php echo esc_url( the_author_meta( 'twitter' ) ); ?>"><i class="fa fa-twitter"></i></a>
						</li><?php endif; if ( get_the_author_meta( 'linkedin' ) ) : ?><li>
							<a rel="nofollow" target="_blank" href="<?php echo esc_url( the_author_meta( 'linkedin' ) ); ?>"><i class="fa fa-linkedin"></i></a>
						</li><?php endif; if ( get_the_author_meta( 'google-plus' ) ) : ?><li>
							<a rel="nofollow" target="_blank" href="<?php echo esc_url( the_author_meta( 'google-plus' ) ); ?>"><i class="fa fa-google-plus"></i></a>
						</li><?php endif; if ( get_the_author_meta( 'instagram' ) ) : ?><li>
							<a rel="nofollow" target="_blank" href="<?php echo esc_url( the_author_meta( 'instagram' ) ); ?>"><i class="fa fa-instagram"></i></a>
						</li><?php endif; if ( get_the_author_meta( 'youtube' ) ) : ?><li>
							<a rel="nofollow" target="_blank" href="<?php echo esc_url( the_author_meta( 'youtube' ) ); ?>"><i class="fa fa-youtube"></i></a>
						</li><?php endif; ?>
					</ul><ul class="links">
						<li>
							<a href="<?php echo esc_url( home_url() ); ?>"><?php bloginfo( 'name' ); ?></a>
						</li><li>
							<a href="<?php echo esc_url( __( 'http://felynx.com/', 'felynxforest' ) ); ?>"><?php printf( __( 'Design: %s', 'felynxforest' ), 'Felynx Forest' ); ?></a>
						</li><li>
							<a href="<?php echo esc_url( __( 'https://wordpress.org/', 'felynxforest' ) ); ?>"><?php printf( __( 'Engine: %s', 'felynxforest' ), 'WordPress' ); ?></a>
						</li>
					</ul>
				</div>
			</nav>
		</footer>
		<?php wp_footer(); ?>
	</body>
</html>