jQuery( function ( $ ) {
	// Change background depending on scroll position
	var nav = $( '#nav' );

	$( window ).bind( 'scroll load', function() {
		var scroll = $( window ).scrollTop();

		if ( scroll > nav.outerHeight() ) {
			nav.addClass( 'scrolled' );
		} else {
			nav.removeClass( 'scrolled' );
		}
	});


	// Toggle comments
	var toggleComments = $( '#toggle-comments' ),
		comments = $( '#comments' );

	$( toggleComments ).click( function() {
		$( comments ).slideToggle( 'fast', 'linear' );
		$( this ).toggleClass( 'active' );
	});


	// Toggle subpages
	var togglePages = $( '.page_item_has_children' );

	$( togglePages ).click( function() {
		$( this ).find( '.children li' ).slideToggle();
		$( this ).toggleClass( 'active' );
	});


	// Scroll to anchor on click
	$( 'a[href*=#]:not([href=#])' ).click( function() {
		if ( location.pathname.replace( /^\//, '' ) == this.pathname.replace( /^\//,'') && location.hostname == this.hostname ) {
			var target = $( this.hash );
			target = target.length ? target : $('[name=' + this.hash.slice(1) +']');

			if ( target.length ) {
				$( 'html,body' ).animate( {
					scrollTop: target.offset().top - $( '#nav' ).height() - $( '#wpadminbar' ).height() + 3
				}, 1000 );

				return false;
			}
		}
	});

});

// On load 
jQuery( function ( $ ) {
	// Scroll to anchor on load
	var hashOnLoad = window.location.hash;

	if( hashOnLoad ) {
		if ( hashOnLoad.substring( 0, 8 ) == '#comment' ) {
			$( '#comments' ).show();
			$( '#toggle-comments' ).addClass( 'active' );
		}

		var target = $( hashOnLoad );

		if ( target.length ) {
			$( 'html,body' ).animate( {
				scrollTop: target.offset().top - $( '#nav' ).height() - $( '#wpadminbar' ).height() + 3
			}, 500 );

			return false;
		}
	}

});
